let laenge = 250; //Länge der Schlange
let xWerte;
let yWerte;
let alpha, radius;


let farben;
function setup() {
    createCanvas(1000, 1000);
    smooth(); //Initialisierung
    alpha =  random(2 * PI);
    radius = random(8, 12);
    xWerte = new Array(laenge);
    yWerte = new Array(laenge);
    farben = new Array(laenge);
    for (let i = 0; i < xWerte.length; i++) {
        xWerte[i] = width / 2;
        yWerte[i] = height / 2;
        farben[i] = color(255, 255, 255);
    }
}
function draw() {
    background(255);
    radius = radius + random(0.001);
    alpha = alpha + random(-0.5, 0.5);
    for (let i = 0; i < xWerte.length - 1; i++) {
        xWerte[i] = xWerte[i + 1];
        yWerte[i] = yWerte[i + 1];
        farben[i] = farben[i + 1];
    }
    xWerte[xWerte.length - 1] =
        xWerte[xWerte.length - 2] + 0.6 * radius * cos(alpha);
    yWerte[yWerte.length - 1] =
        yWerte[yWerte.length - 2] + 0.6 * radius * sin(alpha);
    farben[farben.length - 1] = color(random(256), random(256), random(256));
    if (xWerte[xWerte.length - 1] < 20) {
        alpha = random(-0.3, 0.3);
    }
    if (yWerte[yWerte.length - 1] > height - 20) {
        alpha = random(-PI / 2 - 0.3, -PI / 2 + 0.3);
    }
    if (xWerte[xWerte.length - 1] > width - 20) {
        alpha = random(PI - 0.3, PI + 0.3);
    }
    if (yWerte[yWerte.length - 1] < 20) {
        alpha = random((-3 * PI) / 2 - 0.3, (-3 * PI) / 2 + 0.3);
    }
    for (let i = 0; i < xWerte.length; i++) {
        noStroke();
        fill(farben[i]);
        ellipse(xWerte[i], yWerte[i], sqrt(10 * i), sqrt(10 * i));
    }
}
